D3 installation information

Review this chapter for D3 requirements and installation information. mvBase is available only with D3 version 10.3.

D3 platforms

You can install D3 10.3 on the following platforms:
  • Windows

    D3 Windows 10.3 can be installed as a Typical or Custom installation. For detailed instructions, refer to the D3 Windows Installation Guide.

  • Linux

    For detailed instructions, refer to the D3 Linux Installation Guide.

  • AIX

    For detailed instructions, refer to the D3 AIX Installation Guide.

Additional Windows information

The following platforms are no longer supported or certified for D3 10.3:
  • Windows 7
  • Windows 8
  • Windows XP
  • Vista
  • Windows 2003
  • Windows 2008 Server
  • Any 32–bit version of Windows

Other requirements

OpenDB

If you are using OpenDB and you are upgrading to D3 10.3, you must also upgrade to OpenDB 3.4.

FlashConnect

If you are using FlashConnect and you are upgrading to D3 10.3, you must also upgrade to FlashConnect 3.9 with the FlashConnect 3.9.1 www account.

FlashBASIC code

All FlashBASIC code must be recompiled on D3 10.3.

The compile.flash.all command allows automatic recompiling of all BASIC programs currently compiled with FlashBASIC, either in one or all accounts on the system. If the source code is not available, the programs can be compiled from the object code using the (ow compile option. The (w option is available for both the compile command and the compile.flash.all command.